<?




include_once '../../sys/inc/start.php';




include_once '../../sys/inc/compress.php';




include_once '../../sys/inc/sess.php';




include_once '../../sys/inc/home.php';




include_once '../../sys/inc/settings.php';




include_once '../../sys/inc/db_connect.php';




include_once '../../sys/inc/ipua.php';




include_once '../../sys/inc/fnc.php';




include_once '../../sys/inc/user.php';




only_reg();




$set['title']='Оценки';




include_once '../../sys/inc/thead.php';




title();









if (isset($user))$ank['id']=$user['id'];









$ank=get_user($ank['id']);




if(!$ank){header("Location: /index.php?".SID);exit;}









err();




aut(); // форма авторизации









echo "<div class='foot'>\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php'>$user[nick]</a> | Оценки<br />\n";
echo "</div>\n";



$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_rating` WHERE `avtor` = '$ank[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `gallery_rating` WHERE `avtor` = '$ank[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");


if ($k_post==0){

echo "  <div class='mess'>\n";
echo "Нет оценок\n";
echo "  </div>\n";

}
$num=0;

echo '<table style="width:100%" cellspacing="0" cellpadding="0">';

while ($post = mysql_fetch_assoc($q))
{

//$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

$ank2=get_user($post['id_user']);
$foto=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $post[id_foto]"));

if ($foto['id'] && $ank2['id'])
{

$gallery=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery` WHERE `id` = $foto[id_gallery]"));

if($post['read']==1)
{
$color = "<font color='red'>";
$color2 = "</font>";
}else{
$color = null;
$color2 = null;
}



echo "   <tr>\n";
echo "  <td class='icon14'>\n";
echo status($ank2['id']) . ' ';
echo "  </td>\n";
echo "  <td class='nav1'>\n";
echo "<a href='/foto/$user[id]/$gallery[id]/$foto[id]/'><img class='gmenu' src='/foto/foto128/$foto[id].$foto[ras]' alt='$foto[name]' style='float:right; max-width:60px; padding:1px;'/></a>\n";

echo " ".group($ank2['id']). "<a href='/info.php?id=$ank2[id]'>$ank2[nick]</a> ".medal($ank2['id'])." ".online($ank2['id'])."<br />\n";
echo " $color".v_vk($post['time'])."$color2 <img src='/style/icons/$post[like].png' alt=''/>";
echo "  </td>\n";
echo "   </tr>\n";

}else{
mysql_query("DELETE FROM `gallery_rating` WHERE `avtor` = '$post[avtor]' AND `id_foto` = '$post[id_foto]'");
}
}
echo "</table>\n";

mysql_query("UPDATE `gallery_rating` SET `read`='0' WHERE `avtor` = '$user[id]' AND `read`='1'");

if ($k_page>1)str("?",$k_page,$page); // Вывод страниц


echo "<div class='foot'>\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php'>$user[nick]</a> | Оценки<br />\n";
echo "</div>\n";

include_once '../../sys/inc/tfoot.php';

?>